Subject: Re: [Hipsec] 28 + 4 + 96 bit HIT crypto agility

From: Andrey Lukyanenko <[email-masked]>
Date: Wed, 3 Feb 2010 13:19:17 +0200

Hello Tobias,

> What remains is to find a collision for a set of HITs (the HITs that are in use). I found
> some work on how to compute the probability for sets of random variables but I was
> unable to come up with useful results because of the very large (and very small)
> numbers involved. Even Scheme with its good math support was unable to handle
> the numbers. Maybe someone with matlab skills can help.

I am not sure whether I understood the model correctly, but to me it
seems like a problem
of random allocations. We with Andrei Gurtov have a small paper about
its application
http://www.cs.helsinki.fi/u/gurtov/papers/scgame.pdf.

Take a look on the model (does it correspond to yours?). The exact
probability is
hard to find as it is computed using binomial coefficients with large
numbers involved,
but the expectation can be found quite easily.

-- 
Best regards,
Andrey Lukyanenko.